package com.srs.comprehensive.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;
import org.apache.ibatis.annotations.Mapper;

/**
 * 【请填写功能名称】对象 srs_course_score
 * 
 * @author srs
 * @date 2023-06-28
 */
public class SrsCourseScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 课程学习综合分id */
    private Long id;

    /** 学生id */
    @Excel(name = "学生id")
    private Long stuId;

    /** 学生平均成绩 */
    @Excel(name = "学生平均成绩")
    private BigDecimal avgScore;

    /** 学年id */
    @Excel(name = "学年id")
    private Long stuYearId;

    /** 查询用成绩范围From */
    private BigDecimal avgScoreFrom;

    /** 查询用成绩范围To */
    private BigDecimal avgScoreTo;

    /** 学年名称 */
    @Excel(name = "学年名称")
    private String stuYearName;

    /** 班级名称 */
    @Excel(name = "班级名称")
    private String className;

    /** 学生姓名 */
    @Excel(name = "学生姓名")
    private String name;

    private SrsStudent student;

    /** 删除标志（0代表存在 */
    private String delFlag;

    public SrsCourseScore() {
    }

    public BigDecimal getAvgScoreFrom() {
        return avgScoreFrom;
    }

    public void setAvgScoreFrom(BigDecimal avgScoreFrom) {
        this.avgScoreFrom = avgScoreFrom;
    }

    public BigDecimal getAvgScoreTo() {
        return avgScoreTo;
    }

    public void setAvgScoreTo(BigDecimal avgScoreTo) {
        this.avgScoreTo = avgScoreTo;
    }

    public String getStuYearName() {
        return stuYearName;
    }

    public void setStuYearName(String stuYearName) {
        this.stuYearName = stuYearName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStuId(Long stuId) 
    {
        this.stuId = stuId;
    }

    public Long getStuId() 
    {
        return stuId;
    }
    public void setAvgScore(BigDecimal avgScore) 
    {
        this.avgScore = avgScore;
    }

    public BigDecimal getAvgScore() 
    {
        return avgScore;
    }
    public void setStuYearId(Long stuYearId) 
    {
        this.stuYearId = stuYearId;
    }

    public Long getStuYearId() 
    {
        return stuYearId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuId", getStuId())
            .append("avgScore", getAvgScore())
            .append("stuYearId", getStuYearId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public SrsStudent getStudent() {
        return student;
    }

    public void setStudent(SrsStudent student) {
        this.student = student;
    }
}
